#!/bin/bash

for txt_file in txt/*; do
  html_file=$(echo $(basename $txt_file) | sed 's/.txt/.html/g')
  date=$(echo $html_file | sed 's/-cowsay.html//g')
  prev_date=$(date -I --date=$date-1day)
  next_date=$(date -I --date=$date+1day)

  rm html/$html_file

  echo "<html>" >> html/$html_file
  echo "<a href="/all/html/$prev_date-cowsay.html">&lt prev day</a> || " >> html/$html_file
  echo "<a href="/all/html">all</a> || " >> html/$html_file
  echo "<a href="/all/html/$next_date-cowsay.html">next day &gt</a>" >> html/$html_file
  echo "<pre>" >> html/$html_file
  cat $txt_file >> html/$html_file
  echo "</pre>" >> html/$html_file


  echo "</html>" >> html/$html_file
done
